Download it now!
Bug 45033 - [EasyHack] Update pre-installed Bibliography Database with LibreOffice references
Summary: [EasyHack] Update pre-installed Bibliography Database with LibreOffice refere...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Base (show other bugs)
Version:
(earliest affected)
3.5.0 RC1
Hardware: All All
: medium trivial
Assignee: Italo Vignoli
URL:
Whiteboard: target:3.6.0
Keywords: difficultyBeginner, easyHack, skillScript
Depends on:
Blocks:
 
Reported: 2012-01-21 05:59 UTC by Rob Snelders
Modified: 2015-12-16 00:01 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rob Snelders 2012-01-21 05:59:46 UTC
The pre-installed data in the Bibliography Database is about OpenOffice. Maybe change it to data about LibreOffice?
Comment 1 Caolán McNamara 2012-01-23 06:00:55 UTC
These are in extras/source/database/biblio.odb

It should be possible with base to edit it and add in any books, magazines etc about LibreOffice e.g.

Getting Started with LibreOffice 3, January 2011, ISBN 978-1921320125
LibreOffice 3 Writer Guide, April 2011, ISBN 978-1921320156
LibreOffice 3 Calc Guide, June 2011, ISBN 978-1921320163
Comment 2 Italo Vignoli 2012-02-10 05:14:40 UTC
I know that this Easy Hack has been created for me, and therefore I pick it. I need a few days for the first version, and then I will maintain it regularly.
Comment 3 Not Assigned 2012-03-09 07:09:21 UTC
Italo Vignoli committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c9af2604214a1bff261ced86343eb32de5f18443

Resolves: fdo#45033 use LibreOffice references in bibliography
Comment 4 Caolán McNamara 2012-03-09 07:17:37 UTC
Turns out to be quite tricky to update the bibliographic database, see http://cgit.freedesktop.org/libreoffice/core/commit/?id=c7de2ddf67158733ba15cea4cb8f1786e83776d9 for how to do it.

Now updated with Italo's references.
Comment 5 Rainer Bielefeld Retired 2012-04-05 08:02:28 UTC
I added Fix submitter as assignee because this will ease queries and bug tracking.
Comment 6 Robinson Tryon (qubit) 2015-12-16 00:01:13 UTC
Migrating Whiteboard tags to Keywords: (EasyHack SkillScript DifficultyBeginner )
[NinjaEdit]